<?php
/**
 * The Template for displaying all single campaigns.
 *
 * @package Fundify
 * @since Fundify 1.0
 */

get_header(); ?>

	<?php while ( have_posts() ) : the_post(); $campaign = new ATCF_Campaign( $post->ID ); ?>
	<div class="title title-two pattern-<?php echo rand(1,4); ?>">
		<div class="container">
			<h1><?php the_title() ;?></h1>
			<h3><?php printf( __( '%d Backers', 'fundify' ), $campaign->backers_count() ); ?></h3>
		</div>
		<!-- / container -->
	</div>
	<div id="content" class="post-details">
		<div class="container">
			<?php get_search_form(); ?>
			<div class="sort-tabs campaign">
				<ul>
					<li><a href="<?php the_permalink(); ?>"><?php printf( __( 'See %s', 'fundify' ), edd_get_label_singular() ); ?></a></li>
					<li><a href="<?php the_permalink(); ?>#comments"><?php _e( 'See Comments', 'fundify' ); ?></a></li>
				</ul>
			</div>
			<div id="main-content">
				<div class="entry-content inner">
					<?php $backers = $campaign->backers(); ?>

					<?php if ( empty( $backers ) ) : ?>
					<p><?php _e( 'No backers yet. Be the first!', 'fundify' ); ?></p>
					<?php else : ?>

						<ol class="backer-list">
						<?php foreach ( $backers as $backer ) : ?>
							<?php
								$payment_id = get_post_meta( $backer->ID, '_edd_log_payment_id', true );
								$user_info  = edd_get_payment_meta_user_info( $payment_id );
							?>

							<li class="backer">
								<?php echo get_avatar( $user_info[ 'email' ], 40 ); ?>

								<div class="backer-info">
									<strong><?php echo $user_info[ 'first_name' ]; ?> <?php echo $user_info[ 'last_name' ]; ?></strong><br />
									<?php echo edd_payment_amount( $payment_id ); ?>
								</div>
							</li>
						<?php endforeach; ?>
						</ol>

					<?php endif; ?>
				</div>
			</div>
			<aside id="sidebar">
				<div class="sidebar-widgets">
					<div class="widget widget-pletges">
						<?php 
							if ( $campaign->is_active() )
								echo edd_get_purchase_link( array( 
									'download_id' => $post->ID,
									'class'       => '',
									'price'       => false,
									'text'        => __( 'Contribute Now', 'fundify' )
								) ); 
							else // Inactive, just show options with no button
								fundify_campaign_contribute_options( edd_get_variable_prices( $post->ID ), 'checkbox', $post->ID );
						?>					
					</div>
				</div>
			</aside>
		</div>
		<!-- / container -->
	</div>
	<!-- / content -->
	<?php endwhile; ?>

<?php get_footer(); ?>