<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package Fundify
 * @since Fundify 1.0
 */

get_header(); ?>

	<div class="title title-two pattern-<?php echo rand(1,4); ?>">
		<div class="container">
			<h1><?php echo get_search_query(); ?></h1>
			<h3><?php _e( 'Search Results', 'fundify' ); ?></h3>
		</div>
		<!-- / container -->
	</div>
	<div id="content">
		<div class="container">
			<?php get_search_form(); ?>
			<div class="sort-tabs" id="filter">
				<h3><?php _e( 'Show', 'fundify' ); ?></h3>
				<div class="dropdown">
					<div class="current"><?php _e( 'All', 'fundify' ); ?></div>
					<ul class="option-set" data-option-key="filter">
						<li><a class="selected" href="#filter" data-filter="*">All</a></li>
						<?php
							$categories = get_terms( 'download_category', array( 'hide_empty' => 0 ) );
							foreach ( $categories as $category ) :
						?>
						<li><a href="#filter" data-filter=".<?php echo $category->slug; ?>"><?php echo $category->name; ?></a></li>
						<?php endforeach; ?>
					</ul>
				</div>

				<?php if ( fundify_is_crowdfunding()  ) : ?>
				<ul class="option-set home">
					<li><a href="#" data-filter=".new-this-week"><?php _e( 'New this Week', 'fundify' ); ?></a></li>
					<li><a href="#" data-filter=".staff-pick"><?php _e( 'Staff Picks', 'fundify' ); ?></a></li>
				</ul>
				<?php endif; ?>
			</div>
			
			<div id="projects">
				
				<?php if ( have_posts() ) : ?>
					<section>
						<?php while ( have_posts() ) : the_post(); ?>
							<?php get_template_part( 'content', fundify_is_crowdfunding() ? 'campaign' : 'post' ); ?>
						<?php endwhile; ?>
					</section>

					<?php fundify_content_nav( 'nav-below' ); ?>

				<?php else : ?>

					<?php get_template_part( 'no-results', 'index' ); ?>

				<?php endif; ?>
				
			</div>
		</div>
		<!-- / container -->
	</div>
	<!-- / content -->

<?php get_footer(); ?>